{% extends 'dashboard.html' %}

{% block content %}
<div style="height:125px;background-color:rgb(17, 62, 184);text-align:right;"></div>
<form method="POST" action="{{url_for('views.Multiple_Orders_to_Bill',pk=Bill_Obj.id)}}" >
    {{ csrf_token }}
    <div style="margin-left: 20%;">
        Choose Table:<input list="tables" name="Table_Name" value="{{Bill_Obj.table_detail.Table_Name}}"><br>
        <label for="Dish">Dish</label>
        <input list="menu" name="Dish" id="Dish" required>
        <datalist id="menu">
            {% for item in Menu_list %}
                <option value="{{item.Dish}}">
            {% endfor %}
        </datalist>
        <label for="Quantity">Quantity</label>
        <input type="number" name="Quantity" id="Quantity" required>
        <input type="submit" value="Add Dish" style="margin-top: 7%;margin-bottom:20px;">
    </div>

    
</form>
<table style="padding:20px;">
    <tr>
        <th style="padding-right: 200px;">Dish</th>
        <th style="padding-right: 50px;">Price</th>
        <th>Quantity</th>
    </tr>
    {% for item in  Bill_Orders_Objs %}

        <tr> 
            <td>{{ item.dish.Dish }}</td>
            <td style="padding: 10px;">{{ item.dish.Price }}</td>
            <td>{{ item.Quantity }}</td>
        </tr>
 
    {% endfor %}
    <tr>
        <td>Total Amount=</td>
        <td style="padding: 10px;">{{Bill_Obj.Amount}}</td>
    </tr>
</table> 
<form method="Get" action="{{url_for('views.Bill_Details',pk=Bill_Obj.id)}}" style="text-align: center;">
    {{ csrf_token }}
    <input type="submit" value="Generate Bill">
</form>
{% endblock %}